[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindRightMostKey

Find the node most right to a specified key node

## Declaration

Source position: avl_tree.pp line 91

`public function TAVLTree.FindRightMostKey(`
`Key: Pointer;`
`OnCompareKeyWithData: TListSortCompare`
`):TAVLTreeNode;`

## Arguments

`Key` |  | Key identifiying the node where to start the search.
`OnCompareKeyWithData` |  | Callback to compare key value with data item

## Function result

The rightmost node for Key

## Description

FindRightMostKey finds the node most left from the node associated with Key. It starts at the succeding node for Key and tries to move as far right in the tree as possible.

## See also

TAVLTree.FindLeftMost |  | Find the node most left to a specified data node
TAVLTree.FindRightMost |  | Find the node most right to a specified node
TAVLTree.FindLeftMostKey |  | Find the node most left to a specified key node

Documentation generated on: Feb 26 2014